Add a case comment or alert
- Base URL
-
https://{kibana_url}
- POST /api/cases/{caseId}/comments
- POST /s/{space_id}/api/cases/{caseId}/comments
You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on the owner of the case you're creating. NOTE: Each case can have a maximum of 1,000 alerts.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Request body
type: alert
Defines properties for case comment requests when type is alert.
-
alertIdunion oneOfrequired -
The alert identifiers. It is required only when
typeisalert. You can use an array of strings to add multiple alerts to a case, provided that they all relate to the same rule;indexmust also be an array with the same length or number of elements. Adding multiple alerts in this manner is recommended rather than calling the API multiple times. This functionality is in technical preview and may be changed or removed in a future release. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. -
One of:
string[]orstring -
indexunion oneOfrequired -
The alert indices. It is required only when
typeisalert. If you are adding multiple alerts to a case, use an array of strings; the position of each index name in the array must match the position of the corresponding alert identifier in thealertIdarray. This functionality is in technical preview and may be changed or removed in a future release. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. -
One of:
string[]orstring -
ownerenumrequired -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution -
ruleobjectrequired -
The rule that is associated with the alerts. It is required only when
typeisalert. This functionality is in technical preview and may be changed or removed in a future release. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features.
type: user
Defines properties for case comment requests when type is user.
Responses
Indicates a successful call.
-
assigneesobject[] · max items: 10nullable -
An array containing users that are assigned to the case.
-
commentsunion oneOf[] · max items: 10000required -
An array of comment objects for the case.
- One of:
-
connectorunion oneOfrequired -
One of:
(determined by
type) -
typeenumrequired -
The type of connector. To create a case without a connector, use
.none. To update a case to remove the connector, specify.none. -
Values:
.none -
fieldsstringrequired nullable -
An object containing the connector fields. To create a case without a connector, specify null. To update a case to remove the connector, specify null.
-
fieldsobjectrequired -
An object containing the connector fields. If you want to omit any individual field, specify null as its value.
-
destIpbooleanrequired nullable -
Indicates whether cases will send a comma-separated list of destination IPs.
-
malwareHashbooleanrequired nullable -
Indicates whether cases will send a comma-separated list of malware hashes.
-
malwareUrlbooleanrequired nullable -
Indicates whether cases will send a comma-separated list of malware URLs.
-
customFieldsobject[] -
Custom field values for the case.
-
keystring -
The unique identifier for the custom field. The key value must exist in the case configuration settings.
-
typeenum -
The custom field type. It must match the type specified in the case configuration settings.
-
Values:
texttoggle -
valueunion string | booleannullable -
The custom field value. If the custom field is required, it cannot be explicitly set to null. However, for cases that existed when the required custom field was added, the default value stored in Elasticsearch is
undefined. The value returned in the API and user interface in this case isnull. -
durationintegerrequired nullable -
The elapsed time from the creation of the case to its closure (in seconds). If the case has not been closed, the duration is set to null. If the case was closed after less than half a second, the duration is rounded down to zero.
-
ownerenumrequired -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution
type: .none
Defines properties for connectors when type is .none.
type: .cases-webhook
Defines properties for connectors when type is .cases-webhook.
type: .jira
Defines properties for connectors when type is .jira.
type: .resilient
Defines properties for connectors when type is .resilient.
type: .servicenow
Defines properties for connectors when type is .servicenow.
type: .servicenow-sir
Defines properties for connectors when type is .servicenow-sir.
type: .swimlane
Defines properties for connectors when type is .swimlane.